--- old/usr/src/cmd/cmd-inet/usr.sbin/snoop/snoop_arp.c	2014-02-11 10:48:28.797229979 +0000
+++ new/usr/src/cmd/cmd-inet/usr.sbin/snoop/snoop_arp.c	2014-02-11 10:48:28.838514558 +0000
@@ -23,11 +23,12 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/types.h>
 #include <sys/errno.h>
 #include <setjmp.h>
+#include <stdio.h>
+#include <stdlib.h>
+#include <string.h>
 #include <sys/socket.h>
 #include <net/if.h>
 #include <net/if_arp.h>
@@ -37,6 +38,7 @@
 #include <netinet/if_ether.h>
 #include <netdb.h>
 #include <net/if_types.h>
+#include <arpa/inet.h>
 
 #include "snoop.h"
 
@@ -219,7 +221,7 @@
 	case ARPHRD_ETHER:
 		return ("Ethernet (10Mb)");
 	case 2:
-		return ("Experimental Ethernet (3MB)");
+		return ("Experimental Ethernet (3Mb)");
 	case 3:
 		return ("Amateur Radio AX.25");
 	case 4:
@@ -254,6 +256,8 @@
 		return ("Fibre Channel");
 	case ARPHRD_IPATM:
 		return ("IP-ATM");
+	case ARPHRD_METRICOM:
+		return ("Metricom");
 	case ARPHRD_TUNNEL:
 		return ("Tunnel");
 	case ARPHRD_IB:
